ELEMENTS-CLI(1)

NAME
elements-cli - manual page for elements-cli v23.3.2

SYNOPSIS
elements-cli [options] <command> [params] Send command to Elements Core
elements-cli [options] -named <command> [name=value]... Send command to Elements Core (with named arguments)
elements-cli [options] help List commands
elements-cli [options] help <command> Get help for a command

DESCRIPTION
Elements Core RPC client version v23.3.2

OPTIONS

-?

    Print this help message and exit

-addrinfo

    Get the number of addresses known to the node, per network and total, after filtering for quality and recency. The total number of addresses known to the node may be higher.

-color=<when>

    Color setting for CLI output (default: auto). Valid values: always, auto (add color codes when standard output is connected to a terminal and OS is not WIN32), never.

-conf=<file>

    Specify configuration file. Relative paths will be prefixed by datadir location. (default: elements.conf)

-datadir=<dir>

    Specify data directory

-generate

    Generate blocks, equivalent to RPC getnewaddress followed by RPC generatetoaddress. Optional positional integer arguments are number of blocks to generate (default: 1) and maximum iterations to try (default: 1000000), equivalent to RPC generatetoaddress nblocks and maxtries arguments. Example: bitcoin-cli -generate 4 1000

-getinfo

    Get general information from the remote server. Note that unlike server-side RPC calls, the results of -getinfo is the result of multiple non-atomic requests. Some entries in the result may represent results from different states (e.g. wallet balance may be as of a different block from the chain state reported)

-named

    Pass named instead of positional arguments (default: false)

-netinfo

    Get network peer connection information from the remote server. An optional integer argument from 0 to 4 can be passed for different peers listings (default: 0). Pass "help" for detailed help documentation.

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpccookiefile=<loc>

    Location of the auth cookie. Relative paths will be prefixed by a net-specific datadir location. (default: data dir)

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 7041, testnet: 18332, signet: 38332, regtest: 18443)

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcwait

    Wait for RPC server to start

-rpcwaittimeout=<n>

    Timeout in seconds to wait for the RPC server to start, or 0 for no timeout. (default: 0)

-rpcwallet=<walletname>

    Send RPC for non-default wallet on RPC server (needs to exactly match corresponding -wallet option passed to elementsd). This changes the RPC endpoint used, e.g. http://127.0.0.1:8332/wallet/<walletname>

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases). When combined with -stdinrpcpass, the first line from standard input is used for the RPC password.

-stdinrpcpass

    Read RPC password from standard input as a single line. When combined with -stdin, the first line from standard input is used for the RPC password. When combined with -stdinwalletpassphrase, -stdinrpcpass consumes the first line, and -stdinwalletpassphrase consumes the second.

-stdinwalletpassphrase

    Read wallet passphrase from standard input as a single line. When combined with -stdin, the first line from standard input is used for the wallet passphrase.

-version

    Print version and exit

Debugging/Testing options:

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: liquidv1). Reserved values: main, test, signet, regtest, liquidv1, liquidv1test

-con_blockheightinheader

    Whether the chain includes the block height directly in the header, for easier validation of block height in low-resource environments. (default: 1)

-con_has_parent_chain

    Whether or not there is a parent chain.

-con_max_block_sig_size

    Max allowed witness data for the signed block header.

-con_parent_chain_signblockscript

    Whether parent chain uses pow or signed blocks. If the parent chain uses signed blocks, the challenge (scriptPubKey) script. If not, an empty string. (default: empty script [ie parent uses pow])

-con_parentpowlimit

    The proof-of-work limit value for the parent chain.

-con_signed_blocks

    Signed blockchain. Uses input of `-signblockscript` to define what signatures are necessary to solve it.

-fedpegscript

    The script for the federated peg enforce from genesis block. This script may stop being enforced once dynamic federations activates.

-parentgenesisblockhash

    The genesis blockhash of the parent chain.

-signblockscript

    Signed blockchain enumberance. Only active when `-con_signed_blocks` set to true.

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Elements Options:

-acceptunlimitedissuances

    Allow unblinded issuance amounts to exceed 21 million units

-con_blocksubsidy

    Defines the amount of block subsidy to start with, at genesis block, in satoshis.

-con_connect_genesis_outputs

    Connect outputs in genesis block to utxo database.

-con_csv_deploy_start

    Starting height for CSV deployment. (default: -1, which means ACTIVE from genesis)

-con_dyna_deploy_signal

    Whether to signal for the Dynamic Federations deployment (default: 1).

-con_elementsmode

Use Elements-like instead of Core-like witness encoding.
    This is

    required for CA/CT. (default: 1)

-con_mandatorycoinbase

    All non-zero valued coinbase outputs must go to this scriptPubKey, if set.

-dynamic_epoch_length

    Per-chain parameter that sets how many blocks dynamic federation voting and enforcement are in effect for.

-enforce_pak

    Causes standardness checks to enforce Pegout Authorization Key(PAK) validation before dynamic federations, and consensus enforcement after.

-multi_data_permitted

    Allow relay of multiple OP_RETURN outputs. (default: -enforce_pak)

-pak

    Sets the 'first extension space' field to the pak entries ala pre-dynamic federations. Only used for testing in custom chains.

-total_valid_epochs

    Per-chain parameter that sets how long a particular fedpegscript is in effect for.

COPYRIGHT
Copyright (C) 2009-2026 The Elements Project developers Copyright (C) 2009-2026 The Bitcoin Core developers Please contribute if you find Elements Core useful. Visit <https://elementsproject.org/> for further information about the software. The source code is available from <https://github.com/ElementsProject/elements>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>